<?php
/**
 * procesa_links.php
 * 
 * La base de datos tiene una tabla "datos" que tiene una fila (fila 0) y una columna "links" text con contenido:
 * 		http://www.apple.es/hhegve/nnsmnm/nmzmnan_hdshd/index.com
 *		http://www.google.com
 * 
 * Proceso:
 * 1) Lee la tabla datos. La primera fila se coloca en $datos
 * 2) Separamos cada link en un campo del array $links. El delimitador es un salto de linea chr(13) + chr(10)
 * 3) Acortamos cada link y lo colocamos en los elementos del array $nombres
 * 4) Creamos los enlaces
 * 
 */

 /**
  * Nos conectamos a la base de datos
  */
include_once("constantes.php");
$base = new mysqli(HOST,USER,PASS,BASE_DATOS);

/**
 * Leemos la tabla datos
 */
$comando = "select * from datos";// Slo hay una linea
$datos = $base->query($comando);

/**
 * Obtenemos la primera linea
 */
$linea = $datos->fetch_array();
$dato = $linea["links"];

/**
 * Separamos cada link. Se colocan en el array $links
 */
$delimitador = chr(13).chr(10);
$links = explode($delimitador,$dato);

/**
 * Creamos el array $nombres (copia de $links)
 */
$nombres = $links;

/**
 * Cada elemento de $nombres se acorta hasta 40 caracteres
 */
for ($i=0;$i<count($nombres);$i++) {
	$nombre = $nombres[$i];
	if ( strlen($nombre) > 40 ) {
    	$nombres[$i] = substr($nombre,0,27)." .... ".substr($nombre,-5);
	} else {
     	$nombres[$i] = $nombre;
	}
}

/**
 * Escribe los enlaces
 */
for ($i=0;$i<count($nombres);$i++) {
	echo "<br/><a target='blank' rel='nofollow' href='".$nombres[$i]."' target='_blank'>".$links[$i]."</a>";
}
